=== debian/changelog ===
wings3d (2.2.5-1) unstable; urgency=medium

  * Upload to experimental.
  * New upstream development release.
  * Refresh patches.
  * Bump the debhelper compatibility level to 12.
  * Bump the standards version to 4.5.0.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 13 Mar 2020 10:37:37 +0300
