=== src/Makefile ===
--- 
+++ 
@@ -32,6 +32,7 @@
 # rule to ensure that it gets compiled before all other modules.
 
 MODULES= \
+	libigl \
 	user_default \
 	wings \
 	wings_align \
@@ -67,6 +68,7 @@
 	wings_geom_win \
 	wings_gl \
 	wings_glfont \
+	wings_glu_tess \
 	wings_help \
 	wings_hotkey \
 	wings_info \
@@ -121,6 +123,7 @@
 	wings_vertex \
 	wings_vertex_cmd \
 	wings_view \
+	wings_view_win \
 	wings_we \
 	wings_we_build \
 	wings_we_util \
@@ -150,7 +153,7 @@
 # Targets
 # ----------------------------------------------------
 
-opt debug wx:
+opt debug:
 	$(MAKE) TYPE=$@ common
 
 common: $(EBIN)/wings_lang.beam $(TARGET_FILES) $(APP_TARGET)
@@ -160,7 +163,7 @@
 
 lang: template
 	@cp *.lang $(EBIN)
-	erl -pa $(WINGS_INTL) -noinput -run tools diff_lang_files $(EBIN)
+	$(ERL) -pa $(WINGS_INTL) -noinput -run tools diff_lang_files $(EBIN)
 
 clean:
 	rm -f $(TARGET_FILES) $(EBIN)/wings_lang.beam
