=== plugins_src/commands/Makefile ===
--- 
+++ 
@@ -43,6 +43,7 @@
 	wpc_doosabin \
 	wpc_explode \
 	wpc_flow_connect \
+	wpc_greebles \
 	wpc_grid_snap \
 	wpc_intersect_edge \
 	wpc_intersect_vertex \
