=== debian/changelog ===
wings3d (2.2.9-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 31 Mar 2022 13:23:08 +0300

wings3d (2.2.8-2) unstable; urgency=medium

  * Fix error in the clean target which caused FTBFS.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 25 Mar 2022 14:58:09 +0300

wings3d (2.2.8-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches, remove no longer necessary ones.
  * Disable dependency on libigl since it isn't in Debian.
  * Fix a declaration prototyle to make Wings 3D build using GCC 11
    (closes: #984413).
  * Bump the standards version to 4.6.0.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 25 Mar 2022 12:30:10 +0300

wings3d (2.2.6.1-2) unstable; urgency=medium

  * Upload to unstable.
  * Bump the standards version to 4.5.1.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 17 Aug 2021 11:47:33 +0300

wings3d (2.2.6.1-1) experimental; urgency=medium

  * Upload to experimental.
  * New upstream development release.
  * Refresh patches.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 20 May 2020 10:19:46 +0300
