=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Uploaders: Sergei Golovan <sgolovan@debian.org>
 Section: graphics
 Priority: optional
-Build-Depends: debhelper (>= 12.0.0), grep-dctrl,
+Build-Depends: debhelper-compat (= 12), grep-dctrl,
  erlang-dev (>= 1:18.0), erlang-esdl-dev (>= 1.2), erlang-cl, erlang-wx,
  libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, libjpeg-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: http://www.wings3d.com
 Vcs-Browser: https://salsa.debian.org/erlang-team/packages/wings3d
 Vcs-Git: https://salsa.debian.org/erlang-team/packages/wings3d.git
