## wings3d 2.3

=== c_src/Makefile ===
--- 
+++ 
@@ -44,32 +44,41 @@
 ERL_DIR := $(shell echo $(FRD) | $(ERL) | sed -n '/^=:/s/^=://p')
 ERL_INC = "$(ERL_DIR)/usr/include"
 
+WORDSIZE := $(shell $(ERL) -noinput -eval 'io:format("~w~n", [erlang:system_info(wordsize)*8]),init:stop()')
+
 UNIVERSAL_FLAGS =
-COMMON_CFLAGS = -Wall
+COMMON_CFLAGS = -g
 
 ifeq ($(UseMCL),true)
  OUT = -Fe:
+ OUT_OBJ = -Fo
+ OBJ = obj
  SO_EXT = dll
  LIBS = -LD
- CFLAGS += -nologo -Zi -Ox
+ DEBUG = -Fd$@.pdb
+ CFLAGS += -nologo -Zi -Ox -FS -MP -D__WIN32__
+ CXXFLAGS += $(CFLAGS) -EHsc
 else
  OUT = -o
+ OUT_OBJ = -o
+ OBJ = o
+ CFLAGS += $(COMMON_CFLAGS) -O3 -fPIC
+ CXXFLAGS += -Wno-deprecated-declarations -Wno-unknown-pragmas -Wno-switch
+
  ifdef USEMINGWGCC
   SO_EXT = dll
   LIBS = -mdll
-  GL_LIBS += -lopengl32 -lglu32
-  CFLAGS += $(COMMON_CFLAGS) -Werror -O3
  else
   SO_EXT = so
   DEF_CC = $(CC)
   ifeq ($(OS),Darwin)
-    CFLAGS = $(UNIVERSAL_FLAGS) $(COMMON_CFLAGS) -Werror -O3
+    CFLAGS = $(UNIVERSAL_FLAGS) $(COMMON_CFLAGS) -O3
     LIBS = $(UNIVERSAL_FLAGS) -bundle -flat_namespace -undefined suppress
-    GL_LIBS =
+    CXXFLAGS += $(CFLAGS) -std=c++14
   else
-    LIBS = -shared -fpic
-    GL_LIBS += -L/usr/local/lib -lGLU -lGL
-    CFLAGS += $(COMMON_CFLAGS) -Werror -O3
+    LIBS = -shared
+    CXX_LD = -lstdc++
+    CXXFLAGS += $(CFLAGS)
   endif
  endif
 endif
@@ -78,16 +87,43 @@
     GCC = $(DEF_CC)
 endif
 
-DRV = $(LIBDIR)/wings_pick_nif.$(SO_EXT)
+IGL_INCLUDE = -I../_deps/eigen -I../_deps/libigl/include
 
-TARGET_FILES=$(BEAM) $(DRV)
+TESS_SRC = dict geom memalloc mesh normal priorityq render sweep tess tessmono
+TESS_HEADER = $(TESS_SRC) priorityq-sort dict-list priorityq-heap
 
-all: $(TARGET_FILES)
+# TESS_SRC_FILES = $(TESS_SRC:%=tess/%.c)
+TESS_OBJ_FILES = $(TESS_SRC:%=tess/%.$(OBJ))
+TESS_HEADER_FILES = $(TESS_HEADER:%=tess/%.h) tess/wtess.h
+
+# libigl only supports 64bits systems
+ifeq (x"${WORDSIZE}",x"64")
+    DRV = libigl wings_pick_nif wings_tess
+else
+    $(info 32bits build ignoring libigl not supported)
+    DRV = wings_pick_nif wings_tess
+endif
+
+TARGET_FILES=$(DRV:%=$(LIBDIR)/%.$(SO_EXT))
+
+opt debug: $(TARGET_FILES)
+
+$(LIBDIR)/libigl.$(SO_EXT): libigl.cpp
+	install -d $(LIBDIR)
+	$(GCC) $(CXXFLAGS) $(IGL_OPTS) -I$(ERL_INC) $(IGL_INCLUDE) $(DEBUG) $(OUT)$@ $< $(LIBS) $(CXX_LD)
+
+$(LIBDIR)/wings_tess.$(SO_EXT): $(TESS_OBJ_FILES) wings_tess.c
+	install -d $(LIBDIR)
+	$(GCC) $(CFLAGS) -I$(ERL_INC) $(DEBUG) $(OUT)$@ wings_tess.c $(TESS_OBJ_FILES) $(LIBS)
 
 $(LIBDIR)/%.$(SO_EXT): %.c
 	install -d $(LIBDIR)
-	$(GCC) $(CFLAGS) -I$(ERL_INC) $(OUT) $@ $< $(LIBS) $(GL_LIBS)
+	$(GCC) $(CFLAGS) -I$(ERL_INC) $(DEBUG) $(OUT) $@ $< $(LIBS)
+
+tess/%.$(OBJ): tess/%.c $(TESS_HEADER_FILES)
+	$(GCC) $(CFLAGS) -c $(OUT_OBJ)$@ $<
 
 clean:
-	rm -f $(TARGET_FILES) vc*.pdb wings_pick_*.obj
+	rm -f $(TARGET_FILES) vc*.pdb *.$(OBJ)
+	rm -f tess/*.$(OBJ)
 	rm -f core
