=== src/Makefile ===
--- 
+++ 
@@ -88,6 +88,7 @@
 	wings_obj \
 	wings_outliner \
 	wings_palette \
+	wings_palette_imports \
 	wings_pb \
 	wings_pick \
 	wings_pick_nif \
@@ -146,8 +147,7 @@
 # ----------------------------------------------------
 # FLAGS
 # ----------------------------------------------------
-ERL_COMPILE_FLAGS += -Werror -I ../.. -I../_deps $(TYPE_FLAGS) \
-'-Dwings_version="$(WINGS_VSN)"' -pa $(WINGS_INTL)
+ERL_COMPILE_FLAGS += +nowarn_match_float_zero -Werror -I ../.. -I../_deps $(TYPE_FLAGS) -pa $(WINGS_INTL)
 
 # ----------------------------------------------------
 # Targets
@@ -170,7 +170,8 @@
 	rm -f core
 
 $(EBIN)/wings_u.beam: $(ESRC)/wings_u.erl
-	$(ERLC) '-Dwings_branch="$(WINGS_BRANCH)"' $(ERL_COMPILE_FLAGS) -o$(EBIN) $<
+	$(ERLC) '-Dwings_branch="$(WINGS_BRANCH)"' '-Dwings_version="$(WINGS_VSN)"' \
+	      $(ERL_COMPILE_FLAGS) -o$(EBIN) $<
 
 $(EBIN)/%.beam: $(ESRC)/%.erl
 	$(ERLC) $(ERL_COMPILE_FLAGS) -o$(EBIN) $<
@@ -183,7 +184,7 @@
 # ----------------------------------------------------
 # Dependencies
 # ----------------------------------------------------
-$(EBIN)/wings_export.beam $(EBIN)/wings_file.beam $(EBIN)/wings_help.beam $(EBIN)/wings_pref.beam $(EBIN)/wings_u.beam $(EBIN)/wpa.beam: ../vsn.mk
+$(EBIN)/wings_u.beam: ../vsn.mk
 
 $(EBIN)/wings_text.beam: ../intl_tools/wings_chars.hrl
