=== plugins_src/import_export/Makefile ===
--- 
+++ 
@@ -46,16 +46,20 @@
 	wpc_rwx \
 	wpc_stl \
 	wpc_svg_path \
+	wpc_wmf_paths \
 	wpc_wrl \
 	wpc_x \
-	wpc_yafaray
+	x_import \
+	wpc_yafaray \
+	x3d_import \
+	x3d_import__sgi
 
 TARGET_FILES= $(MODULES:%=$(EBIN)/%.beam)
 
 # ----------------------------------------------------
 # FLAGS
 # ----------------------------------------------------
-ERL_COMPILE_FLAGS += -Werror -pa $(WINGS_INTL) \
+ERL_COMPILE_FLAGS += +nowarn_match_float_zero -Werror -pa $(WINGS_INTL) \
   -I $(WINGS_TOP) $(TYPE_FLAGS) +debug_info
 
 # ----------------------------------------------------
