=== plugins_src/primitives/Makefile ===
--- 
+++ 
@@ -34,6 +34,7 @@
 	wpc_image \
 	wpc_knot \
 	wpc_ncube \
+	wpc_oblong \
 	wpc_plane \
 	wpc_spiral \
 	wpc_torus \
@@ -45,7 +46,8 @@
 # ----------------------------------------------------
 # FLAGS
 # ----------------------------------------------------
-ERL_COMPILE_FLAGS += -Werror -I $(WINGS_TOP) $(TYPE_FLAGS) -pa $(WINGS_INTL) +debug_info
+ERL_COMPILE_FLAGS += -Werror +nowarn_match_float_zero -I $(WINGS_TOP) \
+    $(TYPE_FLAGS) -pa $(WINGS_INTL) +debug_info
 
 # ----------------------------------------------------
 # Targets
