=== debian/changelog ===
wings3d (2.3-1) unstable; urgency=medium

  * New upstream release.
  * Drop no longer necessary patches.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 07 Dec 2023 14:42:26 +0300

wings3d (2.2.9-3) unstable; urgency=medium

  * Drop unnecessary dependency on the erlang-esdl package (closes: #1038072).
  * Drop build dependency on the superseded libgl1-mesa-dev package.
  * Bump the debhelper compatibility level to 13.
  * Bump the standards version to 4.6.2.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 22 Jun 2023 13:06:20 +0300

wings3d (2.2.9-2) unstable; urgency=medium

  * Fix FTBFS with Erlang 25.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 19 Nov 2022 13:29:34 +0300
