=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Uploaders: Sergei Golovan <sgolovan@debian.org>
 Section: graphics
 Priority: optional
-Build-Depends: debhelper-compat (= 12), grep-dctrl,
- erlang-dev (>= 1:18.0), erlang-esdl-dev (>= 1.2), erlang-cl, erlang-wx,
- libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, libjpeg-dev
-Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 13), grep-dctrl,
+ erlang-dev (>= 1:18.0), erlang-cl, erlang-wx,
+ libgl-dev, libglu1-mesa-dev | libglu-dev, libjpeg-dev
+Standards-Version: 4.6.2
 Homepage: http://www.wings3d.com
 Vcs-Browser: https://salsa.debian.org/erlang-team/packages/wings3d
 Vcs-Git: https://salsa.debian.org/erlang-team/packages/wings3d.git
@@ -15,7 +15,7 @@
 Package: wings3d
 Architecture: any
 Depends: ${erlang-base:Depends}, ${erlang-abi:Depends}, ${erlang-wx:Depends},
- ${erlang-xmerl:Depends}, ${erlang-esdl:Depends}, erlang-cl,
+ ${erlang-xmerl:Depends}, erlang-cl,
  ${shlibs:Depends}, ${misc:Depends}
 Suggests: ${erlang-dialyzer:Depends}, ${erlang-tools:Depends}, yafaray | aqsis
 Description: Nendo-inspired 3D polygon mesh modeller
