=== debian/watch ===
# Watch control file for uscan

# Compulsory line, this is a version 3 file
version=3

opts=uversionmangle=tr/-/~/ \
http://sf.net/wings/wings-([\da-z.-]*).tar.bz2
