## wings3d 2.4

=== debian/changelog ===
wings3d (2.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump the standards version to 4.7.0.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 21 Nov 2024 13:35:47 +0300
