=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Section: graphics
 Priority: optional
 Build-Depends: debhelper-compat (= 13), grep-dctrl,
- erlang-dev (>= 1:18.0), erlang-cl, erlang-wx,
+ erlang-dev (>= 1:25), erlang-cl, erlang-wx,
  libgl-dev, libglu1-mesa-dev | libglu-dev, libjpeg-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: http://www.wings3d.com
 Vcs-Browser: https://salsa.debian.org/erlang-team/packages/wings3d
 Vcs-Git: https://salsa.debian.org/erlang-team/packages/wings3d.git
