=== plugins_src/import_export/Makefile ===
--- 
+++ 
@@ -30,10 +30,14 @@
 
 MODULES= \
 	wpc_3ds \
+	wpc_3mf \
 	wpc_ai \
+	wpc_amf \
 	wpc_bzw \
 	wpc_collada \
 	collada_import \
+	wpc_fbx_p \
+	fbx_p_import \
 	wpc_gltf \
 	wpc_hlines \
 	wpc_jscad \
@@ -59,7 +63,7 @@
 # ----------------------------------------------------
 # FLAGS
 # ----------------------------------------------------
-ERL_COMPILE_FLAGS += +nowarn_match_float_zero -Werror -pa $(WINGS_INTL) \
+ERL_COMPILE_FLAGS += -Werror -pa $(WINGS_INTL) \
   -I $(WINGS_TOP) $(TYPE_FLAGS) +debug_info
 
 # ----------------------------------------------------
