=== debian/changelog ===
wings3d (2.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 04 Feb 2025 13:36:49 +0300
