=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: graphics
 Priority: optional
 Build-Depends: debhelper-compat (= 13), grep-dctrl,
- erlang-dev (>= 1:25), erlang-cl, erlang-wx,
+ erlang-dev (>= 1:27), erlang-cl, erlang-wx,
  libgl-dev, libglu1-mesa-dev | libglu-dev, libjpeg-dev
 Standards-Version: 4.7.0
 Homepage: http://www.wings3d.com
