=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,7 @@
 	ln -s ../e3d $(FAKE_BUILD)/e3d
 	ln -s ../intl_tools $(FAKE_BUILD)/intl_tools
 	ln -s ../ebin $(FAKE_BUILD)/ebin
-	$(MAKE)
+	$(MAKE) opt
 	$(MAKE) lang
 
 override_dh_install:
